ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package converters
  Definition Classes
    adam
- AlignmentConverter
- DefaultHeaderLines
- VariantContextConverter

o

org.bdgenomics.adam.converters

# AlignmentConverter 

###
Companion class AlignmentConverter

#### object AlignmentConverter extends Serializable

Singleton object to assist with converting Alignments.

Singleton object exists due to cross reference from org.bdgenomics.adam.rdd.read.AlignmentDatasetFunctions.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentConverter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
9.  def hashCode(): Int
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def processingSteps(header: SAMFileHeader): Seq[ProcessingStep]

    Return the processing steps in the specified SAM file header.

    Return the processing steps in the specified SAM file header.

    header

      SAM file header

    returns

      the processing steps in the specified SAM file header

15.  def readGroups(header: SAMFileHeader): ReadGroupDictionary

    Return the read groups in the specified SAM file header.

    Return the read groups in the specified SAM file header.

    header

      SAM file header

    returns

      the read groups in the specified SAM file header

16.  def readNameHasPairedSuffix(adamRecord: Alignment): Boolean

    Checks to see if a read name has a index suffix.

    Checks to see if a read name has a index suffix.

    Read names frequently end in a "/%d" suffix, where the digit at the end signifies the number of this read in the sequenced fragment. E.g., for an Illumina paired-end protocol, the first read in the pair will have a "/1" suffix, while the second read in the pair will have a "/2" suffix.

    adamRecord

      Record to check.

    returns

      True if the read ends in a read number suffix.

17.  def references(header: SAMFileHeader): SequenceDictionary

    Return the references in the specified SAM file header.

    Return the references in the specified SAM file header.

    header

      SAM file header

    returns

      the references in the specified SAM file header

18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped